import { jsx } from "react/jsx-runtime";
import { TokenPRIMAL as TokenPRIMAL$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenPRIMAL = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "PRIMAL", "data-name": "TokenPRIMAL", ...props, children: /* @__PURE__ */ jsx(TokenPRIMAL$1, { variant }) });
  }
);
TokenPRIMAL.displayName = "TokenPRIMAL";
Object.assign(TokenPRIMAL, { isGdsIcon: true });
export {
  TokenPRIMAL
};
